{pkgs, ...}: {
  programs.firefox = {
    enable = true;
    profiles.default = {
      search.default = "DuckDuckGo";
      search.force = true;
      extensions = with pkgs.nur.repos.rycee.firefox-addons; [
        bitwarden
        clearurls
        refined-github
        ublock-origin
      ];
      settings = {
        "app.update.auto" = false;
        "signon.rememberSignons" = false;
        "browser.formfill.enable" = false;
        "browser.tabs.firefox-view" = false;
        "browser.aboutConfig.showWarning" = false;
        "browser.bookmarks.addedImportButton" = false;
        "extensions.pocket.enabled" = false;
        "browser.newtabpage.activity-stream.feeds.section.topstories" = false;
        "browser.newtabpage.activity-stream.showSponsoredTopSites" = false;
        "browser.newtabpage.pinned" = builtins.toJSON [
          {url = "https://mynixos.com/";}
          {url = "https://github.com/";}
          {url = "https://git.jojodev.com/";}
        ];
      };
      bookmarks = [
        {
          name = "Toolbar";
          toolbar = true;
          bookmarks = [
            {
              name = "Gitea";
              bookmarks = [
                {
                  name = "github";
                  tags = ["gitea"];
                  keyword = "go-gitea";
                  url = "https://github.com/go-gitea/gitea";
                }
                {
                  name = "jojodev";
                  tags = ["gitea"];
                  keyword = "jojodev";
                  url = "https://git.jojodev.com";
                }
                {
                  name = "gitea";
                  tags = ["gitea"];
                  keyword = "gitea";
                  url = "https://gitea.com";
                }
                {
                  name = "try";
                  tags = ["gitea"];
                  keyword = "try";
                  url = "https://try.gitea.io";
                }
              ];
            }
          ];
        }
      ];
    };
  };
}
